<?xml version="1.0" encoding="UTF-8"?>
<?eclipse version="3.4"?>
<plugin>
   <extension
         point="org.eclipse.core.runtime.adapters">
      <factory
            adaptableType="org.eclipse.sphinx.emf.editors.forms.BasicTransactionalFormEditor"
            class="org.eclipse.sphinx.emf.editors.viatra.query.SphinxEditorModelConnectorAdapterFactory">
         <adapter
               type="org.eclipse.viatra.query.runtime.ui.modelconnector.IModelConnector">
         </adapter>
      </factory>
   </extension>

</plugin>
